> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# filterassociates

> Associate list for the Filter dialog. This associate list differs from the standard list in two ways - a) It contains even former employees (you may wnat to filter in our out their activites, even though they have gone); and b) It is of type Selectable, with the currently selected associates marked as such.

## "filterassociates" MDO List

Associate list for the Filter dialog. This associate list differs from the standard list in two ways:
a) It contains even former employees (you may wnat to filter in our out their activites, even though they have gone);
and b) It is of type Selectable, with the currently selected
associates marked as such.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.FilterAssociateProvider">FilterAssociateProvider</see> class.
The name of the MDO list is 'filterassociates'.

## Additional Attributes

| Description                                                           | Name        | Example Value |
| --------------------------------------------------------------------- | ----------- | ------------- |
| Associates linked to this heading                                     | heading\_id | 2             |
| Associates belonging to this user group (primary or secondary groups) | group\_idx  | 2             |
| Associates that are members of this project                           | project\_id | 231           |

Separator: ;

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/filterassociates
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("filterassociates", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name              | StyleHint | ExtraInfo                     |
| --- | ----------------- | --------- | ----------------------------- |
| 11  | Adm0              |           | person\_id=147\&contact\_id=0 |
| 12  | Adm1              |           | person\_id=148\&contact\_id=0 |
| 13  | Adm2              |           | person\_id=149\&contact\_id=0 |
| 14  | Adm3              |           | person\_id=150\&contact\_id=0 |
| 15  | Adm4              |           | person\_id=151\&contact\_id=0 |
| 16  | Adm5              |           | person\_id=152\&contact\_id=0 |
| 106 | Adm6              |           | person\_id=223\&contact\_id=0 |
| 1   | Admin Adminson    |           | person\_id=9\&contact\_id=0   |
| 63  | AdmNS02 NetServer |           | person\_id=183\&contact\_id=0 |
| 2   | Arne Arnesen      |           | person\_id=10\&contact\_id=0  |
| 3   | Brede Bredesen    |           | person\_id=11\&contact\_id=0  |
| 4   | Cato Carlsson     |           | person\_id=12\&contact\_id=0  |
| 5   | Donald Duck       |           | person\_id=13\&contact\_id=0  |
| 6   | Erik Eide         |           | person\_id=14\&contact\_id=0  |
| 7   | Frode Freestad    |           | person\_id=15\&contact\_id=0  |
| 8   | Geir Grønbeck     |           | person\_id=16\&contact\_id=0  |
| 9   | Hans Hansen       |           | person\_id=17\&contact\_id=0  |
| 10  | Ingrid Istad      |           | person\_id=18\&contact\_id=0  |
| 86  | Johan Jensen      |           | person\_id=198\&contact\_id=0 |
| 87  | Kjell Jensen      |           | person\_id=199\&contact\_id=0 |
| 81  | Listadm Listadm   |           | person\_id=190\&contact\_id=0 |

## Related MDO Lists

* "filterassociatesheadings"
* "filterassociatesheadingswithallitem"
* "filterassociatesheadingswithallitemwithnoselection"
* "filterassociatesheadingswithnoselection"
* "filterassociateswithallitem"
* "filterassociateswithallitemwithnoselection"
* "filterassociateswithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
